Get following error after enabling privatemsg. Was running 1.x with relatively few issues. Used Drush to dl 2.x branch. Install uneventful. drush pm-enable privatemsg causes error and loss of site access. Drush pm-disable privatemsg solves error, but no privatemsg equals no joy for users...

PDOException: SQLSTATE[42S02]: Base table or view not found: 1146 Table 'reallig1_drp1.dr_pm_setting' doesn't exist: SELECT pms.type AS type, pms.id AS id, pms.value AS value FROM {pm_setting} pms WHERE (pms.setting = :db_condition_placeholder_0) AND(( (pms.type = :db_condition_placeholder_1) AND (pms.id IN (:db_condition_placeholder_2)) )OR( (pms.type = :db_condition_placeholder_3) AND (pms.id IN (:db_condition_placeholder_4, :db_condition_placeholder_5)) )OR( (pms.type = :db_condition_placeholder_6) AND (pms.id IN (:db_condition_placeholder_7)) )); Array ( [:db_condition_placeholder_0] => disabled [:db_condition_placeholder_1] => user [:db_condition_placeholder_2] => 1 [:db_condition_placeholder_3] => role [:db_condition_placeholder_4] => 2 [:db_condition_placeholder_5] => 3 [:db_condition_placeholder_6] => global [:db_condition_placeholder_7] => 0 ) in privatemsg_get_setting() (line 3375 of /var/www/html/sites/all/modules/privatemsg/privatemsg.module).

Comments

Just to clarify a couple of points:

1. Site recovery can be accomplished by returning to 1.x release so not a major disaster.

2. Install of 2.x is possible. Requires drush "updb" command be run. Updating the database alllows the site to recover, however the following error is received from drush:

" pm_email_notify module :
7200 - Convert the old table to privatemsg settings API."

It is not necessary to disable the email notify module for site to function.

This Privatemsg module is a great, great drupal module. I am stunned at how popular it is for my social networking site, users love it. Please keep up the good work and keep opening it up for field/views customization.

Priority:Critical» Normal
Status:Active» Closed (works as designed)

You generally always need to update the Drupal DB when upgrading between major versions of modules. This is not unique to Privatemsg. As such, I am closing this issue.